Name:           jetty-build-support
Version:        1.1
Release:        %mkrel 17
Group:          Development/Java
Summary:        Jetty build support files
# licensing bug upstream
# https://bugs.eclipse.org/bugs/show_bug.cgi?id=362646
# - commit stating the license is already there
License:        ASL 2.0 or EPL
URL:            http://www.eclipse.org/jetty/
BuildArch:      noarch

Source0:        http://git.eclipse.org/c/jetty/org.eclipse.jetty.toolchain.git/snapshot/%{name}-%{version}.tar.bz2

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.maven.enforcer:enforcer-api)
BuildRequires:  mvn(org.apache.maven:maven-artifact)
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.apache.maven:maven-project)
BuildRequires:  mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires:  mvn(org.codehaus.plexus:plexus-container-default)
BuildRequires:  mvn(org.eclipse.jetty.toolchain:jetty-toolchain:pom:)

%description
Build Support for Jetty. Contains enforcer rules, PMD rulesets, etc.

%package        javadoc
Summary:        API documentation for %{name}

%description    javadoc
%{summary}.

%prep
%setup -q

%build
%mvn_build -- -f %{name}

%install
%mvn_install

%files -f .mfiles
%doc jetty-distribution-remote-resources/src/main/resources/*

%files javadoc -f .mfiles-javadoc
%doc jetty-distribution-remote-resources/src/main/resources/*



%changelog
* Tue Feb 23 2016 neoclust <neoclust> 1.1-17.mga6
+ Revision: 976528
- First rebuild of the java stack
- sync package jetty-build-support with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1-8.mga5
+ Revision: 739086
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sun Jun 01 2014 dmorgan <dmorgan> 1.1-6.mga5
+ Revision: 630452
- Build with xmvn

* Sun Dec 22 2013 dmorgan <dmorgan> 1.1-5.mga4
+ Revision: 559885
- Build with maven-local

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Tue Jul 09 2013 dmorgan <dmorgan> 1.1-3.mga4
+ Revision: 451814
- migrated to plexus-components-component-default

* Sat Jan 12 2013 umeabot <umeabot> 1.1-2.mga3
+ Revision: 355349
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 03 2012 dmorgan <dmorgan> 1.1-1.mga3
+ Revision: 325900
- New version

* Sun Jan 08 2012 dmorgan <dmorgan> 1.0-2.mga2
+ Revision: 193483
- Adapt to new guidelines

* Sat Oct 29 2011 gil <gil> 1.0-1.mga2
+ Revision: 159359
- imported package jetty-build-support

